Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.service.impl
Class BeanForInterfaceFactoryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.service.impl.BeanForInterfaceFactoryImpl

All Implemented Interfaces:
  BeanForInterfaceFactory, org.springframework.context.ApplicationContextAware

    public class BeanForInterfaceFactoryImpl

extends java.lang.Object
implements BeanForInterfaceFactory, org.springframework.context.ApplicationContextAware

Author:
  swood

Constructor Summary
`BeanForInterfaceFactoryImpl()`

Method Summary
`java.lang.Object` | `getBean(java.util.Map classToBeanMappings, java.lang.Class _class)`
`java.lang.String` | `getBeanName(java.util.Map interfaceToBeanMappings, java.lang.Class itfClass)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanForInterfaceFactoryImpl

    public BeanForInterfaceFactoryImpl()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext ctx)

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

### getBeanName

    public java.lang.String getBeanName(java.util.Map interfaceToBeanMappings,
                                        java.lang.Class itfClass)

  Specified by:
    `getBeanName` in interface `BeanForInterfaceFactory`

### getBean

    public java.lang.Object getBean(java.util.Map classToBeanMappings,
                                    java.lang.Class _class)

  Specified by:
    `getBean` in interface `BeanForInterfaceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.